function gameinput (sender,obj_id,attachedID)
-----------------------------------------------------------------------------------------------------------------------
	if sender==100 then
		delete_tree_leaf("Root","comics");
		setnextlavel(17);
		loadlavel();	
	return;end;
	

	if sender==29 then
		if obj_id==26 then
			if frame==7 then
				addfade(-32,0);		
				visible_object(-32);
				speciale_action(4,-32);		
			return;end;
		return;end;	
		if obj_id==27 then
			if frame==14 then		
				addfade(-35,0);		
				visible_object(-35);
				speciale_action(4,-35);
			return;end;	
		return;end;	
	return;end;
	
	if sender==28 then
		if flags.skip then
		   WaitRender()
		return;end;
		if obj_id==1 then
			if frame==-1 then
				speciale_action(2,11);
		--		BlockCursor(false);
				block=false;
				speciale_action(2,14);
				ScaleObject(2,0.9,1);
				setcolor(1100,1,1,1,1,1);
				set_text(1100,"250");
				setcolor(2,1,1,1,1); 
				frame=frame+5;	
			return;end;
			if frame==18 then	
				block=false;				  
				WaitRender()
			return;end;
		return;end;
		if obj_id==25 then
			if frame==6 then
				speciale_action(2,25)
				speciale_action(2,33)
				speciale_action(2,34)
				ScaleObject(26,1,1.2);	
				frame=frame+1;
			return;end;
			if frame==14 then
				speciale_action(2,25)
				speciale_action(2,33)
				speciale_action(2,34)				
				ScaleObject(27,1,1.2);	
				
			return;end;
		return;end;
	return;end;

	if sender==15 then
	   if obj_id==-30 then
	  --    BlockCursor(false);
		  block=false;
	   return;end;
	   if obj_id==-31 then
	     -- BlockCursor(false);
		  MoveObjectX(25,-300,366,2);
		  			MoveObjectX(34,-286,380,2);	
			MoveObjectX(33,-110,556,2);	
	   return;end;	  
	   if obj_id==-32 then
	    --  BlockCursor(false);
		block=false;
		  setcolor(1100,1,1,1,1,1); 
			ScaleObject(3,0.9,1);
			setcolor(2,0.6,0.6,0.6,1);
			setcolor(3,1,1,1,1); 
			speciale_action(2,15);	
			--speciale_action(2,11);
			set_text(1100,"251");  	
	   return;end;
	   if obj_id==-33 then
	  --    BlockCursor(false);
		block=false;
	   return;end;
	   if obj_id==-34 then
	      --BlockCursor(false);
		  MoveObjectX(25,-300,366,2);
		  MoveObjectX(34,-286,380,2);	
		  MoveObjectX(33,-110,556,2);	
		  frame=frame+1;
	   return;end;	  
	   if obj_id==-35 then
		--	BlockCursor(false);
			block=false;
			setcolor(1100,1,1,1,1,1); 
			ScaleObject(2,0.9,1);
			setcolor(8,0.6,0.6,0.6,1);
			setcolor(2,1,1,1,1); 
			speciale_action(2,14);	
			set_text(1100,"254");  	
	   return;end;	   
	   
	   
	   
		if obj_id==26 then
		   unvisible_object(-32);
		return;end;	
		if obj_id==27 then
		   unvisible_object(-35);
		return;end;	
		
	return;end;
	
	
	if sender==16 then
		if obj_id==24 then
		   unvisible_object(-30);
		return;end;	
		
		if obj_id==25 then
		   unvisible_object(-31);
		return;end;	

		if obj_id==23 then
		   unvisible_object(-33);
		return;end;	
		
		if obj_id==27 then
		   unvisible_object(-34);
		return;end;	
		
		if obj_id==-30 then 
			speciale_action(2,20);
			speciale_action(2,21);
			speciale_action(2,70);
			speciale_action(2,23);
			speciale_action(2,24,true);
		return;end;	
		
		if obj_id==-31 then 
			-- speciale_action(2,20);
			-- speciale_action(2,21);
			-- speciale_action(2,70);
			-- speciale_action(2,23);
			-- speciale_action(2,24);
			speciale_action(2,25,true);
							speciale_action(2,33)
				speciale_action(2,34)
			speciale_action(2,26);
			speciale_action(2,11);
		return;end;	

		if obj_id==-32 then 
	--		speciale_action(2,25);
			speciale_action(2,26,true);
			speciale_action(2,4);
			speciale_action(2,3);
			speciale_action(2,2);
		return;end;		

		if obj_id==-33 then 
			speciale_action(2,20);
			speciale_action(2,31);
			speciale_action(2,70);
			MoveObjectX(70,420,420,1)
			MoveTexture(70,0.0,-0.009);
			speciale_action(2,23,true);
			speciale_action(2,24);
		return;end;	
		
		if obj_id==-34 then 
			-- speciale_action(2,20);
			-- speciale_action(2,31);
			-- speciale_action(2,70);
			-- speciale_action(2,23);
			-- speciale_action(2,24);
			speciale_action(2,25);
							speciale_action(2,33)
				speciale_action(2,34)
				speciale_action(2,4);
			speciale_action(2,27,true);
			MoveObjectX(25,-300,-300);
			MoveObjectX(34,-286,-286);	
			MoveObjectX(33,-110,-110);	
		return;end;	

		if obj_id==-35 then 
		--	speciale_action(2,25);
			speciale_action(2,27,true);
			speciale_action(2,5);
			speciale_action(2,8);
			speciale_action(2,2);
		return;end;			
	return;end;
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender == 1 then --кликнули левой кнопкой мыши на активный объект
	
			if obj_id==11 then
				  flags.skip=true;
				  speciale_action(2,1100);
				  MoveObjectY(1,-200,-385,2);
				  MoveObjectY(11,20,-200,2);
				  MoveObjectY(12,610,768,2);
				  MoveObjectY(14,768,768,2);
				  MoveObjectY(15,768,768,2);
				  MoveObjectY(16,768,768,2);
				addfade(-36,0);		
				visible_object(-36);
				speciale_action(4,-36);					  
			return;end;
			
	return;end;
	
	if sender == 6 then --кликнули левой кнопкой мыши на активный объект
	if not block then
		    frame=frame+1;	
			if frame==0 then
				--BlockCursor(true);
				block=true;
			return;end;
			
			if frame==5 then
			   
				ScaleObject(2,0.9,0.9);
				speciale_action(2,2)
				MoveObjectX(2,76,76,1);
				setcolor(1100,1,1,1,0,1); 		
				speciale_action(2,11);
				speciale_action(2,14);
			--	BlockCursor(true);
				block=true;
				frame=frame+1;
				-- addfade(-30,0);		
				-- visible_object(-30);
				-- speciale_action(4,-30);		
				addfade(-31,0);		
				visible_object(-31);
				speciale_action(4,-31);					
			return;end;
			
			-- if frame==6 then
				-- BlockCursor(true);
				-- addfade(-31,0);		
				-- visible_object(-31);
				-- speciale_action(4,-31);	
			-- return;end;

			if frame==7 then
			--	BlockCursor(true);
			block=true;

			return;end;			
			
			if frame==8 then 

				ScaleObject(3,1,0.9);
				ScaleObject(2,0.9,1);
				setcolor(3,0.6,0.6,0.6,1);
				setcolor(2,1,1,1,1); 			
				speciale_action(2,14);
				speciale_action(2,15);
				set_text(1100,"252");  	
			return;end;	
			if frame==9 then 
				ScaleObject(3,0.9,1);
				ScaleObject(2,1,0.9);
				setcolor(2,0.6,0.6,0.6,1);
			    setcolor(3,1,1,1,1); 
				speciale_action(2,14);
				speciale_action(2,15);
				set_text(1100,"253"); 
				frame=frame+2;				
			return;end;
			-- if frame==10 then 
				-- ScaleObject(3,1,0.9);
				-- ScaleObject(2,0.9,1);
				-- setcolor(3,0.6,0.6,0.6,1);
				-- setcolor(2,1,1,1,1); 			
				-- speciale_action(2,14);
				-- speciale_action(2,15);
				-- set_text(1100,"254");  	
			-- return;end;			
			-- if frame==11 then 
				-- ScaleObject(3,0.9,1);
				-- ScaleObject(2,1,0.9);
				-- setcolor(2,0.6,0.6,0.6,1);
			    -- setcolor(4,1,1,1,1); 
				-- speciale_action(2,14);
				-- speciale_action(2,15);
				-- set_text(1100,"255");  	
			-- return;end;
			
			if frame==12 then
			    setcolor(1100,1,1,1,0,1); 
				speciale_action(2,3);
				speciale_action(2,15);		
			   -- speciale_action(2,11);
				ScaleObject(2,1,0.9);
				setcolor(2,1,1,1,1); 
				speciale_action(2,2);
				--BlockCursor(true);
				block=true;
				frame=frame+1;
				-- addfade(-33,3);		
				-- visible_object(-33);
				-- speciale_action(4,-33);		
			addfade(-34,0);		
				visible_object(-34);
				speciale_action(4,-34);					
			return;end;			
	
			-- if frame==13 then
				-- BlockCursor(true);
				-- addfade(-34,0);		
				-- visible_object(-34);
				-- speciale_action(4,-34);	
			-- return;end;

			-- if frame==14 then
				-- BlockCursor(true);
				-- speciale_action(2,25)
				-- ScaleObject(27,1,1.2);	

			-- return;end;	

			
			if frame==15 then 
				DeleteResource("cm0027");
				DeleteResource("cm0026");
				DeleteResource("cm0032");
				DeleteResource("cm0033");
				DeleteResource("cm0025");			
				ScaleObject(2,1,0.9);
				ScaleObject(8,0.9,1);
				setcolor(2,0.6,0.6,0.6,1);
				setcolor(8,1,1,1,1); 			
				speciale_action(2,14);
				speciale_action(2,16);
				set_text(1100,"255");
			return; end;
			if frame==16 then 
				ScaleObject(8,1,0.9);
				ScaleObject(2,0.9,1);
				setcolor(9,0.6,0.6,0.6,1);
				setcolor(2,1,1,1,1); 			
				speciale_action(2,14);
				speciale_action(2,16);
				set_text(1100,"256");
			return; end;
			if frame==17 then 
				ScaleObject(2,1,0.9);
				ScaleObject(8,0.9,1);
				setcolor(2,0.6,0.6,0.6,1);
				setcolor(8,1,1,1,1); 			
				speciale_action(2,14);
				speciale_action(2,16);
				set_text(1100,"257");
			return; end;			
			if frame==18 then
			     
				--BlockCursor(true);
				block=true;
				speciale_action(2,1100);
				MoveObjectY(1,-200,-385,2);
				MoveObjectY(10,700,768,2);
				MoveObjectY(11,20,-200,2);
				MoveObjectY(12,610,768,2);
				MoveObjectY(14,768,768,2);
				MoveObjectY(15,768,768,2);
				addfade(-36,0);		
				visible_object(-36);
				speciale_action(4,-36);					
				
			return;end;  
		return;end;
return;end;
	
end
